#!/bin/sh

EMUNAME="CCcam 2.3.1"

remove_tmp ()
{
        [ -e /tmp/.emu.info ] && rm -rf /tmp/.emu.info
        [ -e /tmp/oscam.mem ] && rm -rf /tmp/oscam.mem
	[ -e /tmp/ecm.info ] && rm -rf /tmp/ecm.info
	[ -e /tmp/pid.info ] && rm -rf /tmp/pid.info
	[ -e /tmp/cardinfo ] && rm -rf /tmp/cardinfo
	[ -e /tmp/ecm0.info ] && rm -rf /tmp/ecm0.info
	[ -e /tmp/CCcam.kill ] && rm -rf /tmp/CCcam.kill
	[ -e /tmp/CCcam2_3_1.pid ] && rm -rf /tmp/CCcam2_3_1.pid
}
        
case "$1" in
	start)
		echo "[SCRIPT] $1: $EMUNAME"
		remove_tmp
   		touch /tmp/.emu.info
                echo CCcam 2.3.1 > /tmp/.emu.info
		sleep 1
		/usr/bin/CCcam2_3_1 >/dev/null &
		pidof CCcam2_3_1 > /tmp/CCcam2_3_1.pid
		;;
	stop)
		echo "[SCRIPT] $1: $EMUNAME"
		echo -n "kill " > /tmp/CCcam.kill
		pidof CCcam2_3_1 >> /tmp/CCcam.kill
		echo -n "kill -9 " >> /tmp/CCcam.kill
		pidof CCcam2_3_1 >> /tmp/CCcam.kill
		chmod 777 /tmp/CCcam.kill
		/tmp/CCcam.kill
		sleep 1
		remove_tmp
		;;
	restart)
		$0 stop
		sleep 1
		$0 start
		exit
		;;
	*)
		$1 stop
		exit 1
		;;
esac

exit 0